%define ver	0.4
%define rel	1
%define prefix	/usr/share/texmf

Summary:	The CTeX documentclasses and packages
Name:		ctex
Version:	%ver
Release:	%rel
Serial:		1
License:	LPPL
Group:		Applications/Publishing
Source:		ctex-%{ver}.tar.bz2
Provides:	ctex
Requires:	tetex, tetex-latex, CJK, cct
BuildRequires:	cct, CJK, tetex-latex
BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://www.ctex.org
Packager:	Zhang Linbo <zlb@lsec.cc.ac.cn>
Prefix:		%prefix

%description
CTeX is a set of LaTeX2e documentclasses and packages for typesetting Chinese
documents.

%prep
%setup -q -n ctex

%build
latex ctex.ins
ctex ctex.dtx

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/tex/latex/ctex \
	 $RPM_BUILD_ROOT%{prefix}/doc/ctex

cp -a ctex.sty ctexart.cls ctexrep.cls ctexbook.cls ctexcjk.clo ctexcct.clo \
	ctex.cfg ctexcap.cfg c19rm.fd c19sf.fd c19tt.fd \
	CJKpunct.sty extended.chx \
	$RPM_BUILD_ROOT%{prefix}/tex/latex/ctex
cp -a readme.txt ctex.dvi $RPM_BUILD_ROOT%{prefix}/doc/ctex

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{prefix}/tex/latex/ctex/ctex.cfg
%config %{prefix}/tex/latex/ctex/ctexcap.cfg
%doc	%{prefix}/doc/ctex/readme.txt
%doc	%{prefix}/doc/ctex/ctex.dvi
%{prefix}/tex/latex/ctex/extended.chx
%{prefix}/tex/latex/ctex/*.sty
%{prefix}/tex/latex/ctex/*.cls
%{prefix}/tex/latex/ctex/*.clo
%{prefix}/tex/latex/ctex/*.fd

%pre

%post
texhash

%preun

%postun
texhash

%changelog
* Sun Mar 21 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Removed GBKkern.cfg (conflicts with cct >= 0.6.0-5)
* Sat Mar 06 2004 Zhang Lin-bo <zlb@lsec.cc.ac.cn>
- Created the package.
